
/*==============================================================================
 *
 * (#)SplashWindow.java
 * created      2003/02/23
 *
 * This software is provided "AS IS," without a warranty of any kind. ALL
 * EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND WARRANTIES, INCLUDING ANY
 * IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR
 * NON-INFRINGEMENT, ARE HEREBY EXCLUDED. SUN AND ITS LICENSORS SHALL NOT BE
 * LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING
 * OR DISTRIBUTING THE SOFTWARE OR ITS DERIVATIVES. IN NO EVENT WILL SUN OR ITS
 * LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT,
 * INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
 * CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF
 * OR INABILITY TO USE SOFTWARE, EVEN IF SUN HAS BEEN ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGES.
 *
 * This software is not designed or intended for use in on-line control of
 * aircraft, air traffic, aircraft navigation or aircraft communications; or in
 * the design, construction, operation or maintenance of any nuclear
 * facility. Licensee represents and warrants that it will not use or
 * redistribute the Software for such purposes.
 *==============================================================================
 */

package com.miami.romeo.main;

//****** imports
/*
import com.l2fprod.gui.region.Region;
import com.l2fprod.gui.region.RegionBuilder;
*/

import java.awt.*;

import javax.swing.JFrame;

// *******************************************************
// ****************** Splash Screen **********************
// *******************************************************

/**
 * SplashWindow.<br>
 * This class creates a splash screen.
 *
 * @author       $Author: Stefano Bolli
 * version      $Revision: 1.2 $Date: 2003/12/23 18:27:57 $
 */
class SplashWindow extends Window {

  Image splashIm;

  SplashWindow(JFrame parent, Image splashIm) {
    super(parent);

    this.splashIm = splashIm;

    setSize(454, 340);

    /*
    if (RegionBuilder.isSupported()) {
      RegionBuilder rb = new RegionBuilder();
      Region region = rb.createRegion(splashIm);
      rb.getInstance().setWindowRegion(this, region, true);
    }
    */

    Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize();
    Rectangle winDim = getBounds();
    setLocation((screenDim.width - winDim.width) / 2,
		(screenDim.height - winDim.height) / 2);

    setVisible(true);
  }

  public void paint(Graphics g) {
    g.setColor(new Color(39, 152, 255));
    g.fillRect(0, 0, 454, 340);

    if (splashIm != null) {
      g.drawImage(splashIm,0,0,this);
    }
  }
}
