
/*==============================================================================
 *
 * (#)License.java
 * created           2003/02/07
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *==============================================================================
 */

package com.miami.romeo.main.about;

import javax.swing.*;
import javax.swing.border.*;

import java.awt.*;
import java.io.*;

/**
 * License.<br>
 * This class creates a panel for the about box.
 *
 * @author       $Author: Stefano Bolli
 * @version      $Revision: 1.1.1.1 $Date: 2003/10/18 03:17:51 $
 */
public class License extends JPanel {

  // Component to read the license
  JTextArea txtLicense = null;

  public License() {
    txtLicense = new JTextArea();
    txtLicense.setMargin(new Insets(5,5,5,5));
    txtLicense.setEditable(false);

    try {
      // Try to read the license
      FileReader rLicense = new FileReader(System.getProperty("user.home") + File.separator +
		                           ".romeo4xmame" + File.separator + "Languages" +
		                           File.separator + "LICENSE");
      // Show the license
      txtLicense.read(rLicense, null);
      rLicense.close();
    }
    catch (IOException e) {
      System.err.println(e.getMessage());
    }

    setLayout(new BorderLayout());
    add(new JScrollPane(txtLicense), BorderLayout.CENTER);
  }
}
